Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.resources
Class LibraryOptions

    public interface class LibraryOptions

Defines the option constants used by CORE.

Field Summary
`static java.lang.String` | `AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST` Aggregate AuditEvent search option for the set of inner columns to select from, instead of simply selecting from the event table itself.
`static java.lang.String` | `AUDIT_EVENT_AUXILIARY_ITEM_IDS` IDs of the auxiliary objects associated with the AuditEvent.
`static java.lang.String` | `AUDIT_EVENT_AUXILIARY_NUMBER` The auxiliary Number associated with the AuditEvent.
`static java.lang.String` | `AUDIT_EVENT_AUXILIARY_STRING` The auxiliary String associated with the AuditEvent.
`static java.lang.String` | `AUDIT_EVENT_FILTER_APPLICATION_CONTEXT` AuditEvent search option to restrict Events to those matching specified application context.
`static java.lang.String` | `AUDIT_EVENT_FILTER_APPLICATION_USER` AuditEvent search option to restrict Events to those matching specified application user.
`static java.lang.String` | `AUDIT_EVENT_FILTER_AUXILIARY_NUMBER` AuditEvent search option to restrict Events to those matching specified auxiliary number.
`static java.lang.String` | `AUDIT_EVENT_FILTER_AUXILIARY_STRING` AuditEvent search option to restrict Events to those matching specified auxiliary string.
`static java.lang.String` | `AUDIT_EVENT_FILTER_CREATORS` AuditEvent search option for the set of Creator IDs to include.
`static java.lang.String` | `AUDIT_EVENT_FILTER_END_DATE` AuditEvent search option for the ending Date of a Date range.
`static java.lang.String` | `AUDIT_EVENT_FILTER_END_ID` AuditEvent search option for the ending ID of an ID range.
`static java.lang.String` | `AUDIT_EVENT_FILTER_OPERATION_TYPES` AuditEvent search option for the set of Operation Types to include.
`static java.lang.String` | `AUDIT_EVENT_FILTER_RESULT_SIZE_LIMIT` AuditEvent search option specifying the size limit for the results of the query.
`static java.lang.String` | `AUDIT_EVENT_FILTER_START_DATE` AuditEvent search option for the starting Date of a Date range.
`static java.lang.String` | `AUDIT_EVENT_FILTER_START_ID` AuditEvent search option for the starting ID of an ID range.
`static java.lang.String` | `AUDIT_EVENT_FILTER_SUCCESS` AuditEvent search option for whether to include Events representing successful operations.
`static java.lang.String` | `AUDIT_EVENT_FILTER_TARGETS` AuditEvent search option for the set of Target IDs to include.
`static java.lang.String` | `AUDIT_EVENT_PROPERTIES` The properties associated with the AuditEvent.
`static java.lang.String` | `AUDIT_SPECIFICATION_CUSTOM_ID` AuditEvent search option specifying the ID of the custom AuditSpecification to search when the AUDIT_SPECIFICATION_TYPE option is set to ExternalConstants.AUDIT_SPECIFICATION_CUSTOM.
`static java.lang.String` | `AUDIT_SPECIFICATION_OBJECT_TARGET_ID` Deprecated. use OPT.AUDIT_EVENT_FILTER_TARGETS
`static java.lang.String` | `AUDIT_SPECIFICATION_TYPE` AuditEvent search option specifying a well-known AuditSpecification from which to search.
`static java.lang.String` | `MAX_RESULTS` The maximum number of results to be returned.
`static java.lang.String` | `SEARCH_DISTINCT` The key used to indicate if a distinct search is required
`static java.lang.String` | `SEARCH_STATEMENT_KEY` The key used for caching of a prepared statement
`static java.lang.String` | `STARTING_ROW` The starting row index.

Field Detail

### AUDIT_EVENT_FILTER_START_ID

    static final java.lang.String AUDIT_EVENT_FILTER_START_ID

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the starting ID of an ID range.

  Note: A value of null is treated as "all IDs before end ID"; a null range is treated as "all IDs".

  Name: OPT.AUDIT_EVENT_FILTER_START_ID
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_END_ID

    static final java.lang.String AUDIT_EVENT_FILTER_END_ID

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the ending ID of an ID range.

  Note: A value of null is treated as "all IDs after start ID"; a null range is treated as "all IDs".

  Name: OPT.AUDIT_EVENT_FILTER_END_ID
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_START_DATE

    static final java.lang.String AUDIT_EVENT_FILTER_START_DATE

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the starting Date of a Date range.

  Note: A value of null is treated as "all Dates until end Date"; a null range is treated as "all Dates".

  Name: OPT.AUDIT_EVENT_FILTER_START_DATE
  Data Type: Date

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_END_DATE

    static final java.lang.String AUDIT_EVENT_FILTER_END_DATE

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the ending Date of a Date range.

  Note: A value of null is treated as "all Dates since start Date"; a null range is treated as "all Dates".

  Name: OPT.AUDIT_EVENT_FILTER_END_DATE
  Data Type: Date

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_CREATORS

    static final java.lang.String AUDIT_EVENT_FILTER_CREATORS

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the set of Creator IDs to include.

  Note: A value of null is treated as "all creators".

  Name: OPT.AUDIT_EVENT_FILTER_CREATORS
  Data Type: Long[]

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_OPERATION_TYPES

    static final java.lang.String AUDIT_EVENT_FILTER_OPERATION_TYPES

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the set of Operation Types to include.

  Note: A value of null is treated as "all operation types".

  Name: OPT.AUDIT_EVENT_FILTER_OPERATION_TYPES
  Data Type: String[]

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_TARGETS

    static final java.lang.String AUDIT_EVENT_FILTER_TARGETS

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for the set of Target IDs to include.

  Notes:

  - A value of null is treated as "all target IDs".
  - For backward compatability, AUDIT_SPECIFICATION_OBJECT_TARGET_ID may be specified in place of this option if the AUDIT_EVENT_FILTER_AUDIT_SPECIFICATION option is set to ExternalConstants.AUDIT_SPECIFICATION_OBJECT, but one of the two options must be specified. If both options are specified, the AUDIT_SPECIFICATION_OBJECT_TARGET_ID option is ignored.

  Name: OPT.AUDIT_EVENT_FILTER_TARGETS
  Data Type: Long[]

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_SUCCESS

    static final java.lang.String AUDIT_EVENT_FILTER_SUCCESS

  Description copied from interface: `LibraryOptions`
  AuditEvent search option for whether to include Events representing successful operations.

  Note: A value of null is treated as "both succeeded and failed operations". A value of true is treated as "only successful operations". A value of false is treated as "only failed operations".

  Name: OPT.AUDIT_EVENT_FILTER_SUCCESS
  Data Type: Boolean

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_AUXILIARY_STRING

    static final java.lang.String AUDIT_EVENT_FILTER_AUXILIARY_STRING

  Description copied from interface: `LibraryOptions`
  AuditEvent search option to restrict Events to those matching specified auxiliary string.

  Note: A value of null is treated as "any auxiliary string".

  Name: OPT.AUDIT_EVENT_FILTER_AUXILIARY_STRING
  Data Type: String

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_AUXILIARY_NUMBER

    static final java.lang.String AUDIT_EVENT_FILTER_AUXILIARY_NUMBER

  Description copied from interface: `LibraryOptions`
  AuditEvent search option to restrict Events to those matching specified auxiliary number.

  Note: A value of null is treated as "any auxiliary number".

  Name: OPT.AUDIT_EVENT_FILTER_AUXILIARY_NUMBER
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_APPLICATION_CONTEXT

    static final java.lang.String AUDIT_EVENT_FILTER_APPLICATION_CONTEXT

  Description copied from interface: `LibraryOptions`
  AuditEvent search option to restrict Events to those matching specified application context.

  Note: A value of null is treated as "any application context".

  Name: OPT.AUDIT_EVENT_FILTER_APPLICATION_CONTEXT
  Data Type: String

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_APPLICATION_USER

    static final java.lang.String AUDIT_EVENT_FILTER_APPLICATION_USER

  Description copied from interface: `LibraryOptions`
  AuditEvent search option to restrict Events to those matching specified application user.

  Note: A value of null is treated as "any application user".

  Name: OPT.AUDIT_EVENT_FILTER_APPLICATION_USER
  Data Type: String

  See Also:
    Constant Field Values

### AUDIT_EVENT_FILTER_RESULT_SIZE_LIMIT

    static final java.lang.String AUDIT_EVENT_FILTER_RESULT_SIZE_LIMIT

  Description copied from interface: `LibraryOptions`
  AuditEvent search option specifying the size limit for the results of the query.

  Note: A value of null is treated as "no limit".

  Name: OPT.AUDIT_EVENT_FILTER_RESULT_SIZE_LIMIT
  Data Type: Integer

  See Also:
    Constant Field Values

### AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST

    static final java.lang.String AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST

  Description copied from interface: `LibraryOptions`
  Aggregate AuditEvent search option for the set of inner columns to select from, instead of simply selecting from the event table itself.

  Note: A value of null indicates that there is no inner select for the aggregate event column search.

  Name: OPT.AUDIT_EVENT_AGGREGATE_INNER_COLUMN_LIST
  Data Type: String[]

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_TYPE

    static final java.lang.String AUDIT_SPECIFICATION_TYPE

  Description copied from interface: `LibraryOptions`
  AuditEvent search option specifying a well-known AuditSpecification from which to search.

  Note: A value of null is treated as the default value: ExternalConstants.AUDIT_SPECIFICATION_DOMAIN

  Name: OPT.AUDIT_SPECIFICATION_TYPE
  Data Type: Integer
  Enumeration: {ExternalConstants.AUDIT_SPECIFICATION_DOMAIN, ExternalConstants.AUDIT_SPECIFICATION_OBJECT, ExternalConstants.AUDIT_SPECIFICATION_CUSTOM}

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_CUSTOM_ID

    static final java.lang.String AUDIT_SPECIFICATION_CUSTOM_ID

  Description copied from interface: `LibraryOptions`
  AuditEvent search option specifying the ID of the custom AuditSpecification to search when the AUDIT_SPECIFICATION_TYPE option is set to ExternalConstants.AUDIT_SPECIFICATION_CUSTOM.

  Note: A value of null is not allowed when searching from a custom AuditSpecification. This option is not allowed when searching from the Domain AuditSpecification or the Object AuditSpecification.

  Name: AUDIT_SPECIFICATION_CUSTOM_ID
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_SPECIFICATION_OBJECT_TARGET_ID

    static final java.lang.String AUDIT_SPECIFICATION_OBJECT_TARGET_ID

  Deprecated. use OPT.AUDIT_EVENT_FILTER_TARGETS
  Description copied from interface: `LibraryOptions`
  AuditEvent search option specifying the ID of the target object when searching from the Object AuditSpecification; used when the AUDIT_SPECIFICATION_TYPE option is set to ExternalConstants.AUDIT_SPECIFICATION_OBJECT.

  Note: this option is deprecated; use AUDIT_EVENT_FILTER_TARGETS instead to specified one or more target objects when searching against the Object AuditSpecification.

  Name: AUDIT_SPECIFICATION_OBJECT_TARGET_ID
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_EVENT_AUXILIARY_ITEM_IDS

    static final java.lang.String AUDIT_EVENT_AUXILIARY_ITEM_IDS

  Description copied from interface: `LibraryOptions`
  IDs of the auxiliary objects associated with the AuditEvent.

  Name: OPT.AUDIT_EVENT_AUXILIARY_ITEM_IDS
  Data Type: Long[]

  See Also:
    Constant Field Values

### AUDIT_EVENT_AUXILIARY_STRING

    static final java.lang.String AUDIT_EVENT_AUXILIARY_STRING

  Description copied from interface: `LibraryOptions`
  The auxiliary String associated with the AuditEvent.

  Name: OPT.AUDIT_EVENT_AUXILIARY_STRING
  Data Type: String

  See Also:
    Constant Field Values

### AUDIT_EVENT_AUXILIARY_NUMBER

    static final java.lang.String AUDIT_EVENT_AUXILIARY_NUMBER

  Description copied from interface: `LibraryOptions`
  The auxiliary Number associated with the AuditEvent.

  Name: OPT.AUDIT_EVENT_AUXILIARY_NUMBER
  Data Type: Long

  See Also:
    Constant Field Values

### AUDIT_EVENT_PROPERTIES

    static final java.lang.String AUDIT_EVENT_PROPERTIES

  Description copied from interface: `LibraryOptions`
  The properties associated with the AuditEvent.

  Name: OPT.AUDIT_EVENT_PROPERTIES
  Data Type: NamedValue[]

  See Also:
    Constant Field Values

### SEARCH_STATEMENT_KEY

    static final java.lang.String SEARCH_STATEMENT_KEY

  Description copied from interface: `LibraryOptions`
  The key used for caching of a prepared statement

  Name: OPT.SEARCH_STATEMENT_KEY
  Data Type: String

  See Also:
    Constant Field Values

### SEARCH_DISTINCT

    static final java.lang.String SEARCH_DISTINCT

  Description copied from interface: `LibraryOptions`
  The key used to indicate if a distinct search is required

  Name: OPT.SEARCH_DISTINCT
  Data Type: Boolean

  See Also:
    Constant Field Values

### STARTING_ROW

    static final java.lang.String STARTING_ROW

  Description copied from interface: `LibraryOptions`
  The starting row index.
  The value is 1-based, meaning that if the value is set to 50, the first 49 rows will be skipped. A value of zero or less is treated the same as a setting of 1, indicating that no rows are skipped.
  This property may be used in conjunction with the MAX_RESULTS property.

  Name: OPT.STARTING_ROW
  Data Type: Integer

  See Also:
    Constant Field Values

### MAX_RESULTS

    static final java.lang.String MAX_RESULTS

  Description copied from interface: `LibraryOptions`
  The maximum number of results to be returned. A value of 0 indicates unlimited/unbounded.

  if MAX_RESULTS = 10 and STARTING_ROW is not specified (or 0 / 1), then results from row 1 through 10 are returned (if located).
  if MAX_RESULTS = 10 and STARTING_ROW = 50, then results from row 50 through 59 are returned (if located).
  if MAX_RESULTS = 0 and STARTING_ROW = 50, then results from row 50 onwards are returned (if located).

  Name: OPT.MAX_RESULTS
  Data Type: Integer

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD